Get flight capacity snapshots
curl --request GET \
--url https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/capacity \
--header 'Authorization: <api-key>'import requests
url = "https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/capacity"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacity": [
{
"flightId": "QR001-20240101",
"projectedWeight": 50000,
"actualWeight": 45000,
"projectedVolume": 100,
"actualVolume": 90,
"availableWeight": 5000,
"availableVolume": 10
}
]
}Schedules & Capacity
Get Flight Capacity
Get per-flight capacity snapshot with projected/actual kgs and volume
GET
/
api
/
capacity
Get flight capacity snapshots
Get per-flight capacity snapshot with projected/actual weights and volumes.
Reference Documentation
For more information on flight scheduling and capacity processes, please refer to:
- Page 48 of “BRS Future Processes DRAFT”: https://belli.sg/3KqjOfV
Authorizations
ApiKeyAuthApiKeyHeader
Query Parameters
Filter by flight number
Filter by origin
Filter by destination
Filter by date
Filter by aircraft type
Response
200 - application/json
Capacity snapshots
Show child attributes
Show child attributes
⌘I